function init()
{
   if(SelectedCharacters != undefined)
   {
      delete SelectedCharacters;
      delete SelectedCharacterNames;
   }
   SelectedCharacters = new Array();
   SelectedCharacterNames = new Array();
   SelectedItem = getItemName();
   AllCharacters = new Array();
   setCharacter(BORIS_INDEX,iBoris);
   setCharacter(MIFFY_INDEX,iMiffy);
   setCharacter(POPPY_INDEX,iPoppy);
   setCharacter(SNUFFY_INDEX,iSnuffy);
   CurrentRound = 0;
}
function setCharacter(INDEX, mc)
{
   AllCharacters[INDEX] = mc;
   mc.myIndex = INDEX;
   var i = 0;
   while(i < SelectedCharacters.length)
   {
      if(SelectedCharacters[i].myIndex == INDEX)
      {
         mLog("replacing SelectedCharacter " + mc);
         SelectedCharacters.splice(i,1,mc);
      }
      i++;
   }
}
function allGoTo(label)
{
   iMiffy.gotoAndPlay(label);
   iBoris.gotoAndPlay(label);
   iSnuffy.gotoAndPlay(label);
   iPoppy.gotoAndPlay(label);
}
function eventNotify(event, obj)
{
   CurrentState.eventNotify(event,obj);
}
function switchState(newState)
{
   CurrentState.exit();
   CurrentState = newState;
   CurrentState.enter();
}
function selectCharacter(mc)
{
   var characterName;
   var _loc1_ = null;
   var _loc0_ = null;
   if(!(typeof (_loc0_ = mc.myIndex) != typeof (_loc1_ = BORIS_INDEX) ? false : _loc0_ == _loc1_))
   {
      if(!(typeof (_loc0_ = mc.myIndex) != typeof (_loc1_ = MIFFY_INDEX) ? false : _loc0_ == _loc1_))
      {
         if(!(typeof (_loc0_ = mc.myIndex) != typeof (_loc1_ = POPPY_INDEX) ? false : _loc0_ == _loc1_))
         {
            if(!(typeof (_loc0_ = mc.myIndex) != typeof (_loc1_ = SNUFFY_INDEX) ? false : _loc0_ == _loc1_))
            {
               mLog("ERROR :: unkown character index " + CHAR_INDEX);
               return undefined;
            }
            characterName = "Snuffy";
         }
         else
         {
            characterName = "Poppy";
         }
      }
      else
      {
         characterName = "Miffy";
      }
   }
   else
   {
      characterName = "Boris";
   }
   if(0 < SelectedCharacters.length && mc._x < SelectedCharacters[0]._x)
   {
      SelectedCharacters.unshift(mc);
      SelectedCharacterNames.unshift(characterName);
   }
   else
   {
      SelectedCharacters.push(mc);
      SelectedCharacterNames.push(characterName);
   }
   mc.gotoAndPlay("drop");
}
function swapForStatic(mcCharacter)
{
   mcName = mcCharacter._name;
   mcCharacter._visible = false;
   if(mcName == undefined || mcName == "")
   {
      mLog("ERROR: mcName is not defined " + mcName);
      return undefined;
   }
   var innerClip = eval(mcName + "." + mcName);
   var xLoc;
   var yLoc;
   var xScale;
   var yScale;
   if(innerClip == undefined || innerClip == null)
   {
      mLog("inner clip undefined is not defined");
      xLoc = mcCharacter._x;
      yLoc = mcCharacter._y;
      xScale = mcCharacter._xscale;
      yScale = mcCharacter._yscale;
   }
   else
   {
      xLoc = mcCharacter._x + innerClip._x;
      yLoc = mcCharacter._y + innerClip._y;
      xScale = innerClip._xscale;
      yScale = innerClip._yscale;
   }
   var libName;
   var _loc1_ = null;
   var _loc0_ = null;
   if(!(typeof (_loc0_ = mcCharacter.myIndex) != typeof (_loc1_ = BORIS_INDEX) ? false : _loc0_ == _loc1_))
   {
      if(!(typeof (_loc0_ = mcCharacter.myIndex) != typeof (_loc1_ = MIFFY_INDEX) ? false : _loc0_ == _loc1_))
      {
         if(!(typeof (_loc0_ = mcCharacter.myIndex) != typeof (_loc1_ = POPPY_INDEX) ? false : _loc0_ == _loc1_))
         {
            if(!(typeof (_loc0_ = mcCharacter.myIndex) != typeof (_loc1_ = SNUFFY_INDEX) ? false : _loc0_ == _loc1_))
            {
               mLog("ERROR :: unkown character index " + CHAR_INDEX);
               return undefined;
            }
            libName = "lSnuffyStatic";
         }
         else
         {
            libName = "lPoppyStatic";
         }
      }
      else
      {
         libName = "lMiffyStatic";
      }
   }
   else
   {
      libName = "lBorisStatic";
   }
   newMc = attachMC(libName);
   newMc._x = xLoc;
   newMc._y = yLoc;
   newMc._xscale = xScale;
   newMc._yscale = yScale;
   setCharacter(mcCharacter.myIndex,newMc);
   return newMc;
}
function swapForStatic2(CHAR_INDEX)
{
   mcCharacter = AllCharacters[CHAR_INDEX];
   var newlName;
   var _loc1_ = null;
   var _loc0_ = null;
   if(!(typeof (_loc0_ = CHAR_INDEX) != typeof (_loc1_ = BORIS_INDEX) ? false : _loc0_ == _loc1_))
   {
      if(!(typeof (_loc0_ = CHAR_INDEX) != typeof (_loc1_ = MIFFY_INDEX) ? false : _loc0_ == _loc1_))
      {
         if(!(typeof (_loc0_ = CHAR_INDEX) != typeof (_loc1_ = POPPY_INDEX) ? false : _loc0_ == _loc1_))
         {
            if(!(typeof (_loc0_ = CHAR_INDEX) != typeof (_loc1_ = SNUFFY_INDEX) ? false : _loc0_ == _loc1_))
            {
               mLog("ERROR :: unkown character index " + CHAR_INDEX);
               return undefined;
            }
            newlName = "lSnuffyStatic";
         }
         else
         {
            newlName = "lPoppyStatic";
         }
      }
      else
      {
         newlName = "lMiffyStatic";
      }
   }
   else
   {
      newlName = "lBorisStatic";
   }
   var mcNew = attachMC(newlName);
   mcNew._x = mcCharacter._x;
   mcNew._y = mcCharacter._y;
   mcNew._xscale = mcCharacter._xscale;
   mcNew._yscale = mcCharacter._yscale;
   setCharacter(CHAR_INDEX,mcNew);
   mcCharacter.removeMovieClip();
}
function swapForButton(CHAR_INDEX)
{
   mcCharacter = AllCharacters[CHAR_INDEX];
   var newlName;
   var _loc1_ = null;
   var _loc0_ = null;
   if(!(typeof (_loc0_ = CHAR_INDEX) != typeof (_loc1_ = BORIS_INDEX) ? false : _loc0_ == _loc1_))
   {
      if(!(typeof (_loc0_ = CHAR_INDEX) != typeof (_loc1_ = MIFFY_INDEX) ? false : _loc0_ == _loc1_))
      {
         if(!(typeof (_loc0_ = CHAR_INDEX) != typeof (_loc1_ = POPPY_INDEX) ? false : _loc0_ == _loc1_))
         {
            if(!(typeof (_loc0_ = CHAR_INDEX) != typeof (_loc1_ = SNUFFY_INDEX) ? false : _loc0_ == _loc1_))
            {
               mLog("ERROR :: unkown character index " + CHAR_INDEX);
               return undefined;
            }
            newlName = "lSnuffyTrans";
         }
         else
         {
            newlName = "lPoppyTrans";
         }
      }
      else
      {
         newlName = "lMiffyTrans";
      }
   }
   else
   {
      newlName = "lBorisTrans";
   }
   var mcNew = attachMC(newlName);
   mcNew._x = mcCharacter._x;
   mcNew._y = mcCharacter._y;
   mcNew._xscale = mcCharacter._xscale;
   mcNew._yscale = mcCharacter._yscale;
   setCharacter(CHAR_INDEX,mcNew);
   mcCharacter.removeMovieClip();
}
function attachMC(libName)
{
   var layerNum = openLayer();
   var newMcName = libName + "_" + layerNum;
   iStage.attachMovie(libName,newMcName,layerNum);
   newMc = eval("iStage." + newMcName);
   return newMc;
}
function openLayer()
{
   if(curLayerNumber == undefined)
   {
      curLayerNumber = 10;
   }
   curLayerNumber++;
   return curLayerNumber;
}
function mLog(msg)
{
}
function getItemName()
{
   if(ItemLibArray == undefined)
   {
      ItemLibArray = new Array("Apple","Butterfly","Cookie","Cup","Flower","Tomato");
      UsedItemArray = new Array();
   }
   else if(0 >= ItemLibArray.length)
   {
      ItemLibArray = UsedItemArray;
      UsedItemArray = new Array();
   }
   var index = Math.floor(Math.random() * ItemLibArray.length);
   var libName = ItemLibArray[index];
   ItemLibArray.splice(index,1);
   UsedItemArray.push(libName);
   mLog("libName = " + libName);
   return libName;
}
function playSoundClip(libName, interupt)
{
   if(interupt == undefined || interupt == true)
   {
      stopAllSounds();
   }
   var snd = new Sound(iSound);
   snd.attachSound(libName);
   snd.start();
}
OnPress = 1;
OnStop = 2;
OnCharacterSelect = 3;
OnTimeout = 4;
OnDisplayItem = 5;
OnSwitchState = 6;
OnItemSelect = 7;
OnButtonTrans = 8;
OnCountOff = 9;
OnAnimate = 10;
OnTransition1 = 11;
OnTransition2 = 12;
OnPlaySound = 13;
OnSoundStop = 14;
OnGreenPush = 15;
OnRedPush = 16;
OnGreenRoll = 17;
OnRedRoll = 18;
OnEnd = 19;
OnCharacterRoll = 20;
OnDoJig = 21;
OnAudioTimeout = 22;
OnBackToStart = 23;
MIFFY_INDEX = 0;
BORIS_INDEX = 1;
POPPY_INDEX = 2;
SNUFFY_INDEX = 3;
if(gQuitUrl == undefined)
{
   gQuitUrl = "http://noggin.com";
}
